package ru.yandex.webmaster3.core.turbo.model;

import lombok.NoArgsConstructor;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import ru.yandex.autodoc.common.doc.annotation.Description;

@NoArgsConstructor
public class TurboHeaderParams {
    private boolean frozen;

    @JsonCreator
    public TurboHeaderParams(@JsonProperty("frozen") boolean frozen) {
        this.frozen = frozen;
    }

    @Description("Фиксировать шапку при прокрутке")
    public boolean isFrozen() {
        return frozen;
    }
}
